%define partioname	partio
%define libmajor	1
%define libname		%mklibname %{partioname} %{libmajor}
%define develname	%mklibname -d %{partioname}

Name:		partio
Version:	1.14.6
Release:	%mkrel 4
Summary:	Library for reading/writing/manipulating animation particle formats
Group:		System/Libraries
License:	BSD
URL:		https://github.com/wdas/%{name}
Source:		https://github.com/wdas/partio/archive/refs/tags/v%{version}/partio-%{version}.tar.gz
# from git
Patch0:		0010-partio-python3-compatibility.patch
Patch1:		0011-py-fix-error-cast-from-void-to-long-unsigned-int-los.patch
Patch2:		0012-Python-Tutorial-Cleanup-latex-s-lost-part.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)
BuildRequires:	swig

%description
C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

%package        -n %{libname}
Summary:	Core partio libraries
Group:		System/Libraries

%description    -n %{libname}
C++ library for easily reading/writing/manipulating common animation particle
formats such as PDB, BGEO, PTC.

This package contains the shared library of partio.

%package        -n %{develname}
Summary:	Development files for the partio libraries
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
C++ library for easily reading/writing/manipulating common animation particle
formats such as PDB, BGEO, PTC.

This package contains the development files for the partio library. Install
this package if you want to compile applications using the partio library.

%package	doc
Summary:	Documentation files for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

This package includes the documentation of partio.

%package	-n python3-%{name}
Summary:	Python 3 bindings for partio library
Group:		Development/Python

%description	-n python3-%{name} 
library for easily reading/writing/manipulating common animation particle
formats such as PDB, BGEO, PTC.

This package contains the Python 3 bindings for the partio library.

%package	test
Summary:	Test components of partio library
Group:		Development/Other
Requires:	%{name}

%description	test
C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

This package contains the run-time support for simple partio testing.

%prep
%autosetup -p1

# Fix all Python shebangs recursively in .
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
%cmake \
	-DPARTIO_GTEST_ENABLED:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/part*
%{_datadir}/swig/%{name}.i
%dir %{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/*.so.%{libmajor}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so

%files -n python3-%{name}
%{python3_sitearch}/_%{name}.so
%pycached %{python3_sitearch}/*.py

%files doc
%doc %{_defaultdocdir}/%{name}/html

%files test
%dir %{_datadir}/%{name}/test
%{_datadir}/%{name}/test/*



%changelog
* Wed Oct 12 2022 ghibo <ghibo> 1.14.6-4.mga9
+ Revision: 1896340
- Rebuild against newer libgtest

* Tue Mar 29 2022 umeabot <umeabot> 1.14.6-3.mga9
+ Revision: 1833358
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.14.6-2.mga9
+ Revision: 1786280
- rebuild for python-3.10

* Thu Dec 30 2021 ghibo <ghibo> 1.14.6-1.mga9
+ Revision: 1765410
- imported package partio


* Thu Dec 30 2021 ghibo <ghibo> 1.14.6-1.mga9
- Initial release based on FC spec file.
